---
title: Welcome
---

## Part I - Air Interface
* [M17 RF Protocol: Summary](/part-1/m17-rf-protocol-summary)
* [Glossary](/part-1/glossary)
* [Physical Layer](/part-1/physical-layer)
    * [4FSK generation](/part-1/physical-layer#4fsk-generation)
        * [Preamble](/part-1/physical-layer#preamble)
        * [Bit types](/part-1/physical-layer#bit-types)
        * [Error correction coding schemes and bit type conversion](/part-1/physical-layer#error-correction-coding-schemes-and-bit-type-conversion)
* [Data Link Layer](/part-1/data-link-layer)
    * [Stream Mode](/part-1/data-link-layer#stream-mode)
    * [Packet Mode](/part-1/data-link-layer#packet-mode)
    * [BERT Mode](/part-1/data-link-layer#bert-mode)
* [Application Layer](/part-1/application-layer)
    * [Amateur Radio Voice Application](/part-1/application-layer#m17-amateur-radio-voice-application)
    * [Packet Application](/part-1/application-layer#packet-application)

## Part II - Internet Interface
* [M17 Internet Protocol (IP) Networking](/part-2/ip-networking)
    * [Standard IP Framing](/part-2/ip-networking#standard-ip-framing)
    * [Control Packets](/part-2/ip-networking#control-packets)

## Appendix
* [Address Encoding](/appendix/address-encoding)
    * [Callsign Encoding: base40](/appendix/address-encoding#callsign-encoding-base40)
    * [Callsign Formats](/appendix/address-encoding#callsign-formats)
* [Randomizer sequence](/appendix/randomizer-sequence)
* [Convolutional Encoder](/appendix/convolutional-encoder)
* [Golay Encoder](/appendix/golay-encoder)
* [Code Puncturing](/appendix/code-puncturing)
* [Interleaving](/appendix/interleaving)
* [BERT Details](/appendix/bert-details)
* [KISS Protocol](/appendix/kiss-protocol)
    * [References](/appendix/kiss-protocol#references)
    * [Glossary](/appendix/kiss-protocol#glossary)
    * [M17 Protocols](/appendix/kiss-protocol#m17-protocols)
    * [KISS Basics](/appendix/kiss-protocol#kiss-basics)
    * [Packet Protocols](/appendix/kiss-protocol#packet-protocols)
    * [Stream Protocol](/appendix/kiss-protocol#stream-protocol)
    * [Mixing Modes](/appendix/kiss-protocol#mixing-modes)
    * [Implementation Details](/appendix/kiss-protocol#implementation-details)
* [File Formats](/appendix/file-formats)
