---
title: Interleaving
taxonomy:
    category:
        - docs
---

For interleaving a Quadratic Permutation Polynomial (QPP) is used. The polynomial \(\pi(x)=(45x+92x^2)\mod 368\) is used for a 368 bit interleaving pattern QPP.

<center><span style="font-weight:bold">Table 1</span> Interleaver mapping</center>
input index | output index | input index | output index | input index | output index | input index | output index
----------- | ------------ | ----------- | ------------ | ----------- | ------------ | ----------- | ------------
0           | 0            | 92          | 92           | 184         | 184          | 276         | 276
1           | 137          | 93          | 229          | 185         | 321          | 277         | 45
2           | 90           | 94          | 182          | 186         | 274          | 278         | 366
3           | 227          | 95          | 319          | 187         | 43           | 279         | 135
4           | 180          | 96          | 272          | 188         | 364          | 280         | 88
5           | 317          | 97          | 41           | 189         | 133          | 281         | 225
6           | 270          | 98          | 362          | 190         | 86           | 282         | 178
7           | 39           | 99          | 131          | 191         | 223          | 283         | 315
8           | 360          | 100         | 84           | 192         | 176          | 284         | 268
9           | 129          | 101         | 221          | 193         | 313          | 285         | 37
10          | 82           | 102         | 174          | 194         | 266          | 286         | 358
11          | 219          | 103         | 311          | 195         | 35           | 287         | 127
12          | 172          | 104         | 264          | 196         | 356          | 288         | 80
13          | 309          | 105         | 33           | 197         | 125          | 289         | 217
14          | 262          | 106         | 354          | 198         | 78           | 290         | 170
15          | 31           | 107         | 123          | 199         | 215          | 291         | 307
16          | 352          | 108         | 76           | 200         | 168          | 292         | 260
17          | 121          | 109         | 213          | 201         | 305          | 293         | 29
18          | 74           | 110         | 166          | 202         | 258          | 294         | 350
19          | 211          | 111         | 303          | 203         | 27           | 295         | 119
20          | 164          | 112         | 256          | 204         | 348          | 296         | 72
21          | 301          | 113         | 25           | 205         | 117          | 297         | 209
22          | 254          | 114         | 346          | 206         | 70           | 298         | 162
23          | 23           | 115         | 115          | 207         | 207          | 299         | 299
24          | 344          | 116         | 68           | 208         | 160          | 300         | 252
25          | 113          | 117         | 205          | 209         | 297          | 301         | 21
26          | 66           | 118         | 158          | 210         | 250          | 302         | 342
27          | 203          | 119         | 295          | 211         | 19           | 303         | 111
28          | 156          | 120         | 248          | 212         | 340          | 304         | 64
29          | 293          | 121         | 17           | 213         | 109          | 305         | 201
30          | 246          | 122         | 338          | 214         | 62           | 306         | 154
31          | 15           | 123         | 107          | 215         | 199          | 307         | 291
32          | 336          | 124         | 60           | 216         | 152          | 308         | 244
33          | 105          | 125         | 197          | 217         | 289          | 309         | 13
34          | 58           | 126         | 150          | 218         | 242          | 310         | 334
35          | 195          | 127         | 287          | 219         | 11           | 311         | 103
36          | 148          | 128         | 240          | 220         | 332          | 312         | 56
37          | 285          | 129         | 9            | 221         | 101          | 313         | 193
38          | 238          | 130         | 330          | 222         | 54           | 314         | 146
39          | 7            | 131         | 99           | 223         | 191          | 315         | 283
40          | 328          | 132         | 52           | 224         | 144          | 316         | 236
41          | 97           | 133         | 189          | 225         | 281          | 317         | 5
42          | 50           | 134         | 142          | 226         | 234          | 318         | 326
43          | 187          | 135         | 279          | 227         | 3            | 319         | 95
44          | 140          | 136         | 232          | 228         | 324          | 320         | 48
45          | 277          | 137         | 1            | 229         | 93           | 321         | 185
46          | 230          | 138         | 322          | 230         | 46           | 322         | 138
47          | 367          | 139         | 91           | 231         | 183          | 323         | 275
48          | 320          | 140         | 44           | 232         | 136          | 324         | 228
49          | 89           | 141         | 181          | 233         | 273          | 325         | 365
50          | 42           | 142         | 134          | 234         | 226          | 326         | 318
51          | 179          | 143         | 271          | 235         | 363          | 327         | 87
52          | 132          | 144         | 224          | 236         | 316          | 328         | 40
53          | 269          | 145         | 361          | 237         | 85           | 329         | 177
54          | 222          | 146         | 314          | 238         | 38           | 330         | 130
55          | 359          | 147         | 83           | 239         | 175          | 331         | 267
56          | 312          | 148         | 36           | 240         | 128          | 332         | 220
57          | 81           | 149         | 173          | 241         | 265          | 333         | 357
58          | 34           | 150         | 126          | 242         | 218          | 334         | 310
59          | 171          | 151         | 263          | 243         | 355          | 335         | 79
60          | 124          | 152         | 216          | 244         | 308          | 336         | 32
61          | 261          | 153         | 353          | 245         | 77           | 337         | 169
62          | 214          | 154         | 306          | 246         | 30           | 338         | 122
63          | 351          | 155         | 75           | 247         | 167          | 339         | 259
64          | 304          | 156         | 28           | 248         | 120          | 340         | 212
65          | 73           | 157         | 165          | 249         | 257          | 341         | 349
66          | 26           | 158         | 118          | 250         | 210          | 342         | 302
67          | 163          | 159         | 255          | 251         | 347          | 343         | 71
68          | 116          | 160         | 208          | 252         | 300          | 344         | 24
69          | 253          | 161         | 345          | 253         | 69           | 345         | 161
70          | 206          | 162         | 298          | 254         | 22           | 346         | 114
71          | 343          | 163         | 67           | 255         | 159          | 347         | 251
72          | 296          | 164         | 20           | 256         | 112          | 348         | 204
73          | 65           | 165         | 157          | 257         | 249          | 349         | 341
74          | 18           | 166         | 110          | 258         | 202          | 350         | 294
75          | 155          | 167         | 247          | 259         | 339          | 351         | 63
76          | 108          | 168         | 200          | 260         | 292          | 352         | 16
77          | 245          | 169         | 337          | 261         | 61           | 353         | 153
78          | 198          | 170         | 290          | 262         | 14           | 354         | 106
79          | 335          | 171         | 59           | 263         | 151          | 355         | 243
80          | 288          | 172         | 12           | 264         | 104          | 356         | 196
81          | 57           | 173         | 149          | 265         | 241          | 357         | 333
82          | 10           | 174         | 102          | 266         | 194          | 358         | 286
83          | 147          | 175         | 239          | 267         | 331          | 359         | 55
84          | 100          | 176         | 192          | 268         | 284          | 360         | 8
85          | 237          | 177         | 329          | 269         | 53           | 361         | 145
86          | 190          | 178         | 282          | 270         | 6            | 362         | 98
87          | 327          | 179         | 51           | 271         | 143          | 363         | 235
88          | 280          | 180         | 4            | 272         | 96           | 364         | 188
89          | 49           | 181         | 141          | 273         | 233          | 365         | 325
90          | 2            | 182         | 94           | 274         | 186          | 366         | 278
91          | 139          | 183         | 231          | 275         | 323          | 367         | 47

### Issues to address...

* More details on parameter choice/performance
